Index: configure
===================================================================
--- configure	(revision 1387)
+++ configure	(revision 1389)
@@ -21,4 +21,5 @@
 SHARED='-shared'
 SHARED_CF=''
+fPIC=true
 PKG_CONFIG=false
 RUNTIME_DETECT=false
@@ -433,4 +434,7 @@
  INCPATH="$INCPATH -I/usr/local/include/"
  [ "$DEFAULT_GRP" = '' ] && DEFAULT_GRP='wheel'
+elif $TARGET_WIN32
+ echo "Adding win32 build arguments..."
+ fPIC=false
 fi
 
@@ -446,4 +450,5 @@
  echo "SHARED=$SHARED"
  echo "SHARED_CF=$SHARED_CF"
+ $fPIC && echo 'fPIC=-fPIC'
  echo "CC=$CC"
  echo "LDPATH=$LDPATH"
Index: libroar/Makefile
===================================================================
--- libroar/Makefile	(revision 1368)
+++ libroar/Makefile	(revision 1389)
@@ -7,5 +7,5 @@
 #DEFINES        = -DDEBUG
 INCLUDE = -I../include -I../include/libroar
-CFLAGS += -g -Wall -O2 $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) -fPIC
+CFLAGS += -g -Wall -O2 $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC)
 LDFLAGS = -g $(SHARED) $(LDPATH) $(lib_dnet) $(lib_wsock32) $(lib_ws2_32) $(lib_ssl)
 
Index: libroararts/Makefile
===================================================================
--- libroararts/Makefile	(revision 730)
+++ libroararts/Makefile	(revision 1389)
@@ -6,5 +6,5 @@
 DEFINES        = -DDEBUG
 INCLUDE = -I../include -I../include/libroarpulse
-CFLAGS += -g -Wall -O2 $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) -fPIC
+CFLAGS += -g -Wall -O2 $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC)
 LDFLAGS = -g -lroar $(LDPATH) -L../lib/
 
Index: libroardsp/Makefile
===================================================================
--- libroardsp/Makefile	(revision 1368)
+++ libroardsp/Makefile	(revision 1389)
@@ -8,5 +8,5 @@
 #DEFINES        = -DDEBUG
 INCLUDE = -I../include -I../include/libroardsp
-CFLAGS += -g -Wall -O2 $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) -fPIC
+CFLAGS += -g -Wall -O2 $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC)
 LDFLAGS = -g $(SHARED) -L../lib/ $(LDPATH) $(lib_dnet) $(lib_m) -lroar
 
Index: libroaresd/Makefile
===================================================================
--- libroaresd/Makefile	(revision 730)
+++ libroaresd/Makefile	(revision 1389)
@@ -6,5 +6,5 @@
 #DEFINES        = -DDEBUG
 INCLUDE = -I../include -I../include/libroaresd
-CFLAGS += -g -Wall -O2 $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) -fPIC
+CFLAGS += -g -Wall -O2 $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC)
 LDFLAGS = -g $(SHARED) -lroar $(LDPATH) -L../lib/
 
Index: libroarpulse/Makefile
===================================================================
--- libroarpulse/Makefile	(revision 730)
+++ libroarpulse/Makefile	(revision 1389)
@@ -6,5 +6,5 @@
 DEFINES        = -DDEBUG
 INCLUDE = -I../include -I../include/libroarpulse
-CFLAGS += -g -Wall -O2 $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) -fPIC
+CFLAGS += -g -Wall -O2 $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC)
 LDFLAGS = -g -lroar $(LDPATH) -L../lib/
 
Index: libroaryiff/Makefile
===================================================================
--- libroaryiff/Makefile	(revision 793)
+++ libroaryiff/Makefile	(revision 1389)
@@ -6,5 +6,5 @@
 #DEFINES        = -DDEBUG
 INCLUDE = -I../include -I../include/libroaryiff
-CFLAGS += -g -Wall -O2 $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) -fPIC
+CFLAGS += -g -Wall -O2 $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC)
 LDFLAGS = -g $(SHARED) -lroar $(LDPATH) -L../lib/
 
Index: plugins/ao/Makefile
===================================================================
--- plugins/ao/Makefile	(revision 1054)
+++ plugins/ao/Makefile	(revision 1389)
@@ -12,5 +12,5 @@
 
 libroar.so: ao_roar.c
-	cc -shared -L../../lib -I../../include -lroar -fPIC -o libroar.so ao_roar.c
+	cc -shared -L../../lib -I../../include -lroar $(fPIC) -o libroar.so ao_roar.c
 
 ao_roar.c:
Index: plugins/xine/Makefile
===================================================================
--- plugins/xine/Makefile	(revision 467)
+++ plugins/xine/Makefile	(revision 1389)
@@ -9,5 +9,5 @@
 
 #DEFINES=-DDEBUG
-CFLAGS  = -g -Wall -O2 $(DEFINES) $(INCLUDE) -fPIC $(XINE_CFLAGS)
+CFLAGS  = -g -Wall -O2 $(DEFINES) $(INCLUDE) $(fPIC) $(XINE_CFLAGS)
 LDFLAGS = -g -shared -lroar $(XINE_LIBS)
 
Index: plugins/xmms/Makefile
===================================================================
--- plugins/xmms/Makefile	(revision 1106)
+++ plugins/xmms/Makefile	(revision 1389)
@@ -6,5 +6,5 @@
 
 #DEFINES=-DDEBUG
-CFLAGS  = -g -Wall -O2 $(DEFINES) $(INCLUDE) -fPIC $(GTK_CFLAFS) $(XMMS_CFLAGS)
+CFLAGS  = -g -Wall -O2 $(DEFINES) $(INCLUDE) $(fPIC) $(GTK_CFLAFS) $(XMMS_CFLAGS)
 LDFLAGS = -g -shared -lroar $(GTK_LIBS) $(XMMS_LIBS)
 
